<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="C:\Aurora_Oct20\RSM\eclipse\workspace-cascadeplus\org.eclipse.wst.rdb.models.dbdefinition\src\model\DatabaseDefinitionModel.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="KeyWords" content="EDataType,Class EDataType,DatabaseDefinitionModel,model DatabaseDefinitionModel,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;EDataType&nbsp;{Java}&nbsp;derived&nbsp;from:&nbsp;<a href="class3ace4fee0371.htm" target="contents_frame">EClassifier</a></b></font></p>

<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Parent&nbsp;Package</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="cat403541e00037.htm" target="contents_frame">ecore</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Abstract</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>No</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Export&nbsp;Control</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>PublicAccess</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Link&nbsp;Class&nbsp;for</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>None</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Class&nbsp;Kind</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>NormalClass</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Cardinality</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>n</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Space</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Concurrency</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>Sequential</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Persistence</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>No</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR></TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Operations</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Name</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Signature</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Class</b></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3d086856016b.htm" target="contents_frame">isInstance</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>boolean&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>isInstance&nbsp;(<a href="class3acdf8200182.htm" target="contents_frame">EJavaObject</a>&nbsp;object)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3ace4fee0371.htm" target="contents_frame">EClassifier</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3d089c8a0135.htm" target="contents_frame">getClassifierID</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>int&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>getClassifierID&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3ace4fee0371.htm" target="contents_frame">EClassifier</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3ddf83530376.htm" target="contents_frame">getEAnnotation</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3d98a1c701ab.htm" target="contents_frame">EAnnotation</a>&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>getEAnnotation&nbsp;(String&nbsp;source)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3903d4e40050.htm" target="contents_frame">EModelElement</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3d08e6b501c3.htm" target="contents_frame">eClass</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3903d5bf000a.htm" target="contents_frame">EClass</a>&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>eClass&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3d1204ac028f.htm" target="contents_frame">eIsProxy</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>boolean&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>eIsProxy&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3c4f21d90335.htm" target="contents_frame">eResource</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f231001fc.htm" target="contents_frame">EResource</a>&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>eResource&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3d08e64d003d.htm" target="contents_frame">eContainer</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a>&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>eContainer&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3fb9171500e1.htm" target="contents_frame">eContainingFeature</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3903d59d0230.htm" target="contents_frame">EStructuralFeature</a>&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>eContainingFeature&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3d08e71600e6.htm" target="contents_frame">eContainmentFeature</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class39238479039d.htm" target="contents_frame">EReference</a>&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>eContainmentFeature&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3d08e66701a3.htm" target="contents_frame">eContents</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3ad37e40003d.htm" target="contents_frame">EEList</a>&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>eContents&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3d08e6830352.htm" target="contents_frame">eAllContents</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3d08e8a002c4.htm" target="contents_frame">ETreeIterator</a>&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>eAllContents&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3d4a910d00bc.htm" target="contents_frame">eCrossReferences</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3ad37e40003d.htm" target="contents_frame">EEList</a>&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>eCrossReferences&nbsp;()</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3c4f26cb00d3.htm" target="contents_frame">eGet</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3acdf8200182.htm" target="contents_frame">EJavaObject</a>&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>eGet&nbsp;(<a href="class3903d59d0230.htm" target="contents_frame">EStructuralFeature</a>&nbsp;feature)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3d08e6d601ad.htm" target="contents_frame">eGet</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3acdf8200182.htm" target="contents_frame">EJavaObject</a>&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>eGet&nbsp;(<a href="class3903d59d0230.htm" target="contents_frame">EStructuralFeature</a>&nbsp;feature,&nbsp;boolean&nbsp;resolve)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3c4f268f023f.htm" target="contents_frame">eSet</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>eSet&nbsp;(<a href="class3903d59d0230.htm" target="contents_frame">EStructuralFeature</a>&nbsp;feature,&nbsp;<a href="class3acdf8200182.htm" target="contents_frame">EJavaObject</a>&nbsp;newValue)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3c4f26de0225.htm" target="contents_frame">eIsSet</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>boolean&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>eIsSet&nbsp;(<a href="class3903d59d0230.htm" target="contents_frame">EStructuralFeature</a>&nbsp;feature)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/34.jpg"BORDER=0><a href="op3c4f26b4004e.htm" target="contents_frame">eUnset</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>eUnset&nbsp;(<a href="class3903d59d0230.htm" target="contents_frame">EStructuralFeature</a>&nbsp;feature)</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
</TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Attributes</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Name</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Class</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Type</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Initial&nbsp;Value</b></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/30.jpg"BORDER=0><a href="att3d090e0602fc.htm" target="contents_frame">serializable</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3903d525033e.htm" target="contents_frame">EDataType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>boolean</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>true</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/30.jpg"BORDER=0><a href="att3b0f0b800186.htm" target="contents_frame">instanceClassName</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3ace4fee0371.htm" target="contents_frame">EClassifier</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>String</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/30.jpg"BORDER=0><a href="att3ca8bd1c01fa.htm" target="contents_frame">instanceClass</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3ace4fee0371.htm" target="contents_frame">EClassifier</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3b1531690285.htm" target="contents_frame">EJavaClass</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/30.jpg"BORDER=0><a href="att3d3c1aee014b.htm" target="contents_frame">defaultValue</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3ace4fee0371.htm" target="contents_frame">EClassifier</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3acdf8200182.htm" target="contents_frame">EJavaObject</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/30.jpg"BORDER=0><a href="att3b65cccf0007.htm" target="contents_frame">name</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3b65ccc600fe.htm" target="contents_frame">ENamedElement</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>String</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
</TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Associations</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Name</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>My&nbsp;Role</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>My&nbsp;Class</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Other&nbsp;Role</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Other&nbsp;Element</b></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../looseends/ass3d5d260f02e4.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3d5d261200e9.htm" target="contents_frame">eAttributeType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3903d525033e.htm" target="contents_frame">EDataType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3d5d261200f3.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class39238472039d.htm" target="contents_frame">EAttribute</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../looseends/ass3903da26001e.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3903da27023a.htm" target="contents_frame">eType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3ace4fee0371.htm" target="contents_frame">EClassifier</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3903da27023b.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3903d4f60398.htm" target="contents_frame">ETypedElement</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../looseends/ass3a7dab6b039e.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3a7dab6d0225.htm" target="contents_frame">eClassifiers</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3ace4fee0371.htm" target="contents_frame">EClassifier</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3a7dab6d0239.htm" target="contents_frame">ePackage</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3905c3f7000a.htm" target="contents_frame">EPackage</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../looseends/ass3d05d40a02bd.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3d05d410008b.htm" target="contents_frame">eExceptions</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3ace4fee0371.htm" target="contents_frame">EClassifier</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3d05d4100095.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3904daa200a0.htm" target="contents_frame">EOperation</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../looseends/ass3d98a3f1034c.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3d98a3f30241.htm" target="contents_frame">eModelElement</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3903d4e40050.htm" target="contents_frame">EModelElement</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3d98a3f3024b.htm" target="contents_frame">eAnnotations</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3d98a1c701ab.htm" target="contents_frame">EAnnotation</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../looseends/ass3da70b0400ec.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3da70b040327.htm" target="contents_frame">contents</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3da70b04031d.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3d98a1c701ab.htm" target="contents_frame">EAnnotation</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../looseends/ass3da70cd20386.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3da70cd40126.htm" target="contents_frame">references</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3da70cd4011c.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3d98a1c701ab.htm" target="contents_frame">EAnnotation</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><a href="../../looseends/ass3fa7f70f015c.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3fa7f7110046.htm" target="contents_frame">targetEnd</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="../../looseends/role3fa7f7110050.htm" target="contents_frame">--Not&nbsp;Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="../cat3e9b1f8201c1/cat3f27d66b01ab/class3f967cb70382.htm" target="contents_frame">Dependency</a></font></TD></TR>
</TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Generalization&nbsp;Relationships</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Name</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Class</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Supplier</b></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="inh3ace510f029a.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3903d525033e.htm" target="contents_frame">EDataType</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3ace4fee0371.htm" target="contents_frame">EClassifier</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="inh3c97bbb400ca.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3ace4fee0371.htm" target="contents_frame">EClassifier</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3b65ccc600fe.htm" target="contents_frame">ENamedElement</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="inh3c8d4364024f.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3b65ccc600fe.htm" target="contents_frame">ENamedElement</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3903d4e40050.htm" target="contents_frame">EModelElement</a></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/pub.gif"BORDER=0><a href="inh3c4f1cc50336.htm" target="contents_frame">--Not Named--</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3903d4e40050.htm" target="contents_frame">EModelElement</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3c4f1c860123.htm" target="contents_frame">EObject</a></font></TD></TR>
</TABLE><BR><BR>
<BR><p><font FACE="Arial, Geneva" SIZE=3><b>Property Settings</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Java</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Final</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Static</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>GenerateDefaultConstructor</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>True</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>ConstructorIs</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>public</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Ctor_Set</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>public, protected, private, package</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>GenerateFinalizer</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>GenerateStaticInitializer</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>GenerateInstanceInitializer</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>GenerateCode</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>True</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>DisableAutoSync</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>ReadOnly</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Strictfp</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
</TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Data Modeler</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>dmItem</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>DMName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsTable</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsView</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsDomain</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsSPPackage</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Synonymns</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>TableSpaceID</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>SourceId</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>SourceType</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>CorrelationName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>SelectClause</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsUpdateable</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>True</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>CheckOption</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>None</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsSnapShot</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsDistinct</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>PersistToServer</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsPackage</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
</TABLE><BR><BR>
</body>
</html>
